Bug 1299463 - Filtering by tags not working when Project Explorer is in Repository view
Filtering by tags not working when Project Explorer is in Repository view
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pere Fernàndez
Lukáš Petrovický
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 07:33 EST by Zuzana Krejčová
Modified: 2016-07-31 21:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2016-01-18 07:33:02 EST
Description of problem:
If the Project Explorer is set to Repository view, the tag filtering doesn't work - the dropdown does not contain any tags. If you switch to Project view, it works, if you then switch back to Repo view, there are again no tags to choose from.


Version-Release number of selected component (if applicable):
RP 6.2.1


Steps to Reproduce:
1. Go to Authoring, set the Project Explorer to Project view. Enable tag filtering.
2. In a package 'org.pkg', create a DRL file 'tagged.drl' and add a tag, 'testTag'. (Save.)
3. Check that the tag is available in Project Explorer.
4. Switch to Repository view and navigate to src -> main -> resources -> org -> pkg.
5. Open again the Filter by Tag dropdown.


Actual results:
Filter by Tag dropdown is now empty (contains only '-- none --').


Expected results:
Filter by Tag dropdown contains the option 'testTag'.


Additional info:
Most probably a by-product of bug 1296498.
Comment 3 Pere Fernàndez 2016-01-26 07:09:26 EST
The component that was getting the tags for each item was using the wrong path.

Sent PR's:

master: https://github.com/droolsjbpm/kie-wb-common/pull/213

6.3.x: https://github.com/droolsjbpm/kie-wb-common/pull/212

6.4.x: https://github.com/droolsjbpm/kie-wb-common/pull/214
Comment 5 Zuzana Krejčová 2016-02-04 09:42:52 EST
This was included in 6.2.1 CR2. The issue is fixed.
Comment 6 Lukáš Petrovický 2016-02-04 09:44:15 EST
I have set the flag for 6.2.1, since this has shown there.

Note You need to log in before you can comment on or make changes to this bug.